Debian Bug report logs - #623957
ikiwiki-hosting-web depends on libdigest-sha1-perl but not needed

version graph

Package: src:ikiwiki-hosting; Maintainer for src:ikiwiki-hosting is Joey Hess <joeyh@debian.org>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Sun, 24 Apr 2011 19:30:01 UTC

Severity: normal

Found in version ikiwiki-hosting/0.20110420

Fixed in version ikiwiki-hosting/0.20110424

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Joey Hess <joeyh@debian.org>:
Bug#623957; Package src:ikiwiki-hosting. (Sun, 24 Apr 2011 19:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Joey Hess <joeyh@debian.org>. (Sun, 24 Apr 2011 19:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ikiwiki-hosting-web depends on libdigest-sha1-perl but not needed
Date: Sun, 24 Apr 2011 21:27:44 +0200
Source: ikiwiki-hosting
Version: 0.20110420
Severity: normal
User: debian-perl@lists.debian.org

Hi Joey

I'm doing some random checks in preparation of [1].

 [1] http://bugs.debian.org/594273

ikiwiki-hosting-web has libdigest-sha1-perl in Depends field. However
greping over the source, I find only:

$ grep -R 'Digest::SHA' *
IkiWiki/Customer.pm:    eval q{use Digest::SHA};
IkiWiki/Customer.pm:    return Digest::SHA::sha1_hex($openid);

Thus, can the dependency on libdigest-sha1-perl be removed? As
furthermore Digest::SHA is in perl core already provided in Lenny, no
further dependencies should be added.

Bests
Salvatore

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#623957; Package src:ikiwiki-hosting. (Sun, 24 Apr 2011 19:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Sun, 24 Apr 2011 19:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 623957@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>, 623957@bugs.debian.org
Subject: Re: Bug#623957: ikiwiki-hosting-web depends on libdigest-sha1-perl but not needed
Date: Sun, 24 Apr 2011 15:44:32 -0400
[Message part 1 (text/plain, inline)]
Salvatore Bonaccorso wrote:
> ikiwiki-hosting-web has libdigest-sha1-perl in Depends field. However
> greping over the source, I find only:
> 
> $ grep -R 'Digest::SHA' *
> IkiWiki/Customer.pm:    eval q{use Digest::SHA};
> IkiWiki/Customer.pm:    return Digest::SHA::sha1_hex($openid);
> 
> Thus, can the dependency on libdigest-sha1-perl be removed? As
> furthermore Digest::SHA is in perl core already provided in Lenny, no
> further dependencies should be added.

In the perl core? Am I missing something?

joey@gnu:~>perl -e 'use Digest::SHA1 q(sha1_hex); print sha1_hex("foo")'
0beec7b5ea3f0fdbc95d0dd47f3c5bc275da8a33joey@gnu:~>
joey@gnu:~>sudo dpkg --force-depends --purge libdigest-sha1-perl 
...
joey@gnu:~>perl -le 'use Digest::SHA1 q(sha1_hex); print sha1_hex("foo")'
Can't locate Digest/SHA1.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.1 /usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at -e line 1.
BEGIN failed--compilation aborted at -e line 1.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#623957; Package src:ikiwiki-hosting. (Sun, 24 Apr 2011 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Sun, 24 Apr 2011 19:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 623957@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 623957@bugs.debian.org
Subject: Re: Bug#623957: ikiwiki-hosting-web depends on libdigest-sha1-perl but not needed
Date: Sun, 24 Apr 2011 21:54:51 +0200
[Message part 1 (text/plain, inline)]
Hi Joey

On Sun, Apr 24, 2011 at 03:44:32PM -0400, Joey Hess wrote:
> Salvatore Bonaccorso wrote:
> > ikiwiki-hosting-web has libdigest-sha1-perl in Depends field. However
> > greping over the source, I find only:
> > 
> > $ grep -R 'Digest::SHA' *
> > IkiWiki/Customer.pm:    eval q{use Digest::SHA};
> > IkiWiki/Customer.pm:    return Digest::SHA::sha1_hex($openid);
> > 
> > Thus, can the dependency on libdigest-sha1-perl be removed? As
> > furthermore Digest::SHA is in perl core already provided in Lenny, no
> > further dependencies should be added.
> 
> In the perl core? Am I missing something?
> 
> joey@gnu:~>perl -e 'use Digest::SHA1 q(sha1_hex); print sha1_hex("foo")'
> 0beec7b5ea3f0fdbc95d0dd47f3c5bc275da8a33joey@gnu:~>
> joey@gnu:~>sudo dpkg --force-depends --purge libdigest-sha1-perl 
> ...
> joey@gnu:~>perl -le 'use Digest::SHA1 q(sha1_hex); print sha1_hex("foo")'
> Can't locate Digest/SHA1.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.1 /usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at -e line 1.
> BEGIN failed--compilation aborted at -e line 1.

Thanks for the fast reply! :-)

Well not Digest::SHA1 but Digest::SHA:

$ dpkg -S Digest/SHA.pm
libdigest-sha-perl: /usr/lib/perl5/Digest/SHA.pm
perl: /usr/lib/perl/5.10.0/Digest/SHA.pm

So, if I do not miss something, IkiWiki/Customer.pm already uses
Digest::SHA, but has a depencency on libdigest-sha1-perl (providing
Digest::SHA1).

Thus: ikiwiki-hosting-perl uses already Digest::SHA (no changes needed
here) and the dependency on libdigest-sha1-perl could be dropped? Am I
right?

Background: Digest::SHA provides nearly the same functionality of
Digest::SHA1 (except sha1_transform). See [1] for details or [2].

 [1] http://bugs.debian.org/594273
 [2] http://bugs.debian.org/591091 (your bugreport ;-))

Bests
Salvatore
[signature.asc (application/pgp-signature, inline)]

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. (Sun, 24 Apr 2011 20:51:07 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Sun, 24 Apr 2011 20:51:07 GMT) Full text and rfc822 format available.

Message #20 received at 623957-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 623957-close@bugs.debian.org
Subject: Bug#623957: fixed in ikiwiki-hosting 0.20110424
Date: Sun, 24 Apr 2011 20:49:54 +0000
Source: ikiwiki-hosting
Source-Version: 0.20110424

We believe that the bug you reported is fixed in the latest version of
ikiwiki-hosting, which is due to be installed in the Debian FTP archive:

ikiwiki-hosting-common_0.20110424_all.deb
  to main/i/ikiwiki-hosting/ikiwiki-hosting-common_0.20110424_all.deb
ikiwiki-hosting-dns_0.20110424_all.deb
  to main/i/ikiwiki-hosting/ikiwiki-hosting-dns_0.20110424_all.deb
ikiwiki-hosting-web_0.20110424_i386.deb
  to main/i/ikiwiki-hosting/ikiwiki-hosting-web_0.20110424_i386.deb
ikiwiki-hosting_0.20110424.dsc
  to main/i/ikiwiki-hosting/ikiwiki-hosting_0.20110424.dsc
ikiwiki-hosting_0.20110424.tar.gz
  to main/i/ikiwiki-hosting/ikiwiki-hosting_0.20110424.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 623957@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated ikiwiki-hosting package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 24 Apr 2011 16:02:16 -0400
Source: ikiwiki-hosting
Binary: ikiwiki-hosting-common ikiwiki-hosting-web ikiwiki-hosting-dns
Architecture: source all i386
Version: 0.20110424
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 ikiwiki-hosting-common - ikiwiki hosting: common files
 ikiwiki-hosting-dns - ikiwiki hosting: dns server
 ikiwiki-hosting-web - ikiwiki hosting: web server
Closes: 623957
Changes: 
 ikiwiki-hosting (0.20110424) unstable; urgency=low
 .
   * Remove unused dependency on libdigest-sha1-perl. Closes: #623957
Checksums-Sha1: 
 2dff468095fadeffb727e4a7fba150ca625e7741 1537 ikiwiki-hosting_0.20110424.dsc
 3ba6045ac5ad15053b30dd4ece02fbeca489c3e6 100920 ikiwiki-hosting_0.20110424.tar.gz
 d7299ad3b25c8f3710716e4328388aa601cff126 81602 ikiwiki-hosting-common_0.20110424_all.deb
 4734b759de8e89ead93f6a55d78cb7a313e542c9 45574 ikiwiki-hosting-web_0.20110424_i386.deb
 9658274fea824e2c95cd3a6b0aaa04e01d8d1493 16378 ikiwiki-hosting-dns_0.20110424_all.deb
Checksums-Sha256: 
 b7dfba3a44b6b06040d02a4b0cfe7c7b2ab2aa1eb528aa431a9862decc937d3a 1537 ikiwiki-hosting_0.20110424.dsc
 3525c89ff458aeceae59986473df33d42dc0021d07126ad4b282eddaecd1424f 100920 ikiwiki-hosting_0.20110424.tar.gz
 56e78995da33f1f9a9d77c930e4a613b78ca8d56415346c9fa3024b0952d0852 81602 ikiwiki-hosting-common_0.20110424_all.deb
 4f389845fd50ceaf60c2a03e90023df90caed426b2257b54e9271327e488cd02 45574 ikiwiki-hosting-web_0.20110424_i386.deb
 160339206ae5409b3e5252cdcdfcdfd2b32a96bbafe87efddb5a4b7f666c23e6 16378 ikiwiki-hosting-dns_0.20110424_all.deb
Files: 
 264cdeb4c67837fed11885bff5d141f4 1537 admin optional ikiwiki-hosting_0.20110424.dsc
 f0550a5139159689e389f6c1cc93480d 100920 admin optional ikiwiki-hosting_0.20110424.tar.gz
 ac77a2894610b352de8a9cc9d885310a 81602 admin optional ikiwiki-hosting-common_0.20110424_all.deb
 7e676bc188153e08d5085d121bac38a4 45574 admin optional ikiwiki-hosting-web_0.20110424_i386.deb
 86790852d46505680d67473c4ca37ee7 16378 admin optional ikiwiki-hosting-dns_0.20110424_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTbSCBMkQ2SIlEuPHAQhblg//Q2l5duAKI0SeV5LSDOvl+HrtrsJKdoIu
SDR4LHiqp6bBaQ02uKWKxWRHLVSI3Fec2ni7SSeIWzPMhhROKTQ4G8VKDnIxBy4J
4PG0PLYYTEzfskoUBvGvFpdtB7t5+Xl86G/Zz9g4dOxh4fMh1yQXVvA8oJkUWJpK
Orjt6hw1+cuO4whIcat8Jx2QEWOOzX1+mY5wBjRtZ/aHCP4AzxmMP6Tr3cINysd6
6ZiRrvTfvfgrYPuCEmQYROPeCxirOBsFaZ8D1udz7b+fvcm0deT1h8n8NV7YCjNS
hLf9L8ndUm+gHFfByY1g2uVyinOAGXWF0Qj4Y3lplo1x3ZaMBKEOZbG61HhzpVIn
RKzgya9XfjnFXurqknw7AIpCD8y/QtME8EmQrPNBdaGHR5KCZu5V3hme1LXIEWnw
nU36dSJOf2qByPpzp9/l935VeuJLODsBCAbHa1XGZ8QhfN1Ybfydp0da8gjRTp0I
gte0lQtiQQiPOa00RfKarh5gCEDckojCgfi+AUlbclWzWkXk5wXCdgWeCiGZdZoK
GzmxC/YQN452Qm2E+q6ADrlZs2r7vkh0cirynhFc623Jbfb/i+w1aVssp3hTD5IB
XSQn6l8EYd/0RTLWRXdyiXRyaUsEM10uSGn8pzZsPVnhLqhPfThochNRfx+qTPwx
Jxq6fciU988=
=8F0K
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jul 2011 07:37:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:22:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.